## Retrieve Checkout

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/retrieve-checkout HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  checkout_id: string,
}
```

Returns: object

## Request arguments

### `checkout_id` (string)

**Required**. The unique identifier of the checkout to look up. This is the ID that was
returned when you created the checkout using the start-checkout endpoint.

## Response attributes

### `checkout_id` (string)

**Always present**. The unique identifier for the checkout

### `amount` (string)

**Always present**. The payment amount in the smallest currency unit (e.g. cents).

### `currency` (string)

**Always present**. The currency code for the payment amount

### `installation_id` (string)

**Always present**. The unique identifier of the merchant installation associated with this checkout

### `customer_id` (string)

_Nullable_. The unique identifier of the customer making the payment

### `customer_email` (string)

_Nullable_. The email address of the customer

### `customer_mobile` (string)

_Nullable_. The mobile phone number of the customer

### `customer_name` (string)

_Nullable_. The name of the customer

### `redirect_url` (string)

**Always present**. The URL where the customer will be redirected to make payment

### `payment_id` (string)

_Nullable_. The unique identifier of the payment associated with this checkout. When nil, the payment has not been paid yet.

## Errors specific to this endpoint

### `NOT_FOUND`

This error occurs when no checkout with the provided ID exists in your
merchant account. Double check that you're using the correct checkout ID.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
